package com.base.filerecoveryrecyclebin.activity.splash

import android.app.Activity
import android.content.Intent
import android.net.Uri
import android.text.SpannableString
import android.text.Spanned
import android.text.style.UnderlineSpan
import com.base.filerecoveryrecyclebin.MyApplication
import com.base.filerecoveryrecyclebin.bean.ConstObject.ifAgreePrivacy
import com.base.filerecoveryrecyclebin.databinding.ActivitySplashBinding
import com.base.filerecoveryrecyclebin.help.ConfigHelper


class PrivacyManager {


    private val binding: ActivitySplashBinding

    private val context: Activity

    private val listener: onUserPrivacyAggreementListener

    constructor(
        binding: ActivitySplashBinding,
        context: Activity,
        listener: onUserPrivacyAggreementListener
    ) {
        this.binding = binding
        this.context = context
        this.listener = listener
        initView()
    }


    private fun initView() {


        val spannableString = SpannableString("Privacy Policy")
        spannableString.setSpan(
            UnderlineSpan(),
            0,
            spannableString.length,
            Spanned.SPAN_EXCLUSIVE_EXCLUSIVE
        )
        binding.idTvPrivacyPolicy.text = spannableString

        binding.idTvPrivacyPolicy.setOnClickListener {
            val intent = Intent(
                Intent.ACTION_VIEW,
                Uri.parse(ConfigHelper.privacyPolicy)
            )
            context.startActivity(intent)
        }

        var clicked = false
        binding.idTvStart.setOnClickListener {
            if (clicked) {
                return@setOnClickListener
            }
            clicked = true
            //            binding.idTvStart.isVisible = false
//            binding.idLlJindu.isVisible = true
//            binding.idLlYinsi.igitsVisible = false
            ifAgreePrivacy = true
            (context.application as MyApplication).initApp()
//            MobileAds.initialize(context) { initializationStatus ->
            listener.onAgreePrivacy()
//            }
            // EventUtils.event("app_start")
        }
    }

    interface onUserPrivacyAggreementListener {
        fun onAgreePrivacy()
    }

}